View Issue Details

IDProjectCategoryView StatusLast Update
0002001XdebugProfilingpublic2021-09-05 16:15
Reporterildar Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version3.1devFixed in Version3.1.0beta1 
Summary0002001: Add 'xdebug.use_compression' setting to turn on/off compression for profiling files
DescriptionHello,

It seems
qcachegrind doesn't support gzip'ed files.

Is it possible to add an ini file setting for the the
xdebug.mode=profile
mode ?
Additional Informationrelated to
https://bugs.xdebug.org/view.php?id=1853
TagsNo tags attached.
Operating System
PHP Version7.4.10-7.4.19

Activities

derick

2021-08-06 17:43

administrator   ~0005959

It is unfortunate that qcachegrind doesn't support this. I always thought it was kcachegrind with a different UI, and kcachegrind most definitely does support this.

I am not very keen on adding more settings, but I can have a look at this.

In the meanwhile, you can recompile Xdebug without compression support, by using the `--without-xdebug-compression` flag when you run `./configure`.

derick

2021-08-15 23:32

administrator   ~0005980

Fixed in GIT: https://github.com/xdebug/xdebug/pull/768

ildar

2021-08-16 06:59

reporter   ~0005981

ok
thank you Derick

Issue History

Date Modified Username Field Change
2021-07-28 12:59 ildar New Issue
2021-08-06 17:43 derick Target Version => 3.1dev
2021-08-06 17:43 derick Note Added: 0005959
2021-08-07 09:55 derick Status new => confirmed
2021-08-12 14:44 derick Summary qcachegrind doesn't support gzip'ed files. => Add 'xdebug.use_compression' setting to turn on/off compression for profiling files
2021-08-15 23:32 derick Assigned To => derick
2021-08-15 23:32 derick Status confirmed => closed
2021-08-15 23:32 derick Resolution open => fixed
2021-08-15 23:32 derick Fixed in Version => 3.1dev
2021-08-15 23:32 derick Note Added: 0005980
2021-08-16 06:59 ildar Note Added: 0005981
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1